Debian Bug report logs - #678708
statsmodels: FTBFS[kfreebsd]: NotImplementedError: cannot determine number of cpus

version graph

Package: src:statsmodels; Maintainer for src:statsmodels is NeuroDebian Team <team@neuro.debian.net>;

Reported by: debian-bsd@lists.debian.org

Date: Sat, 23 Jun 2012 21:45:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version statsmodels/0.4.1-1

Done: Yaroslav Halchenko <debian@onerussian.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#678708; Package src:statsmodels. (Sat, 23 Jun 2012 21:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>. (Sat, 23 Jun 2012 21:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: statsmodels: FTBFS[kfreebsd]: NotImplementedError: cannot determine number of cpus
Date: Sat, 23 Jun 2012 23:43:21 +0200
Package: src:statsmodels
Version: 0.4.1-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

======================================================================
ERROR: statsmodels.tools.tests.test_parallel.test_parallel
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File "/build/buildd-statsmodels_0.4.1-1-kfreebsd-amd64-5jLFqZ/statsmodels-0.4.1/debian/python-statsmodels/usr/lib/python2.7/dist-packages/statsmodels/tools/tests/test_parallel.py", line 7, in test_parallel
    parallel, p_func, n_jobs = parallel_func(sqrt, n_jobs=-1, verbose=0)
  File "/build/buildd-statsmodels_0.4.1-1-kfreebsd-amd64-5jLFqZ/statsmodels-0.4.1/debian/python-statsmodels/usr/lib/python2.7/dist-packages/statsmodels/tools/parallel.py", line 57, in parallel_func
    n_jobs = multiprocessing.cpu_count()
  File "/usr/lib/python2.7/multiprocessing/__init__.py", line 136, in cpu_count
    raise NotImplementedError('cannot determine number of cpus')
NotImplementedError: cannot determine number of cpus

----------------------------------------------------------------------
Ran 1497 tests in 205.030s

FAILED (SKIP=10, errors=1)
Warning: Maximum number of iterations has been exceeded.
         Current function value: 0.000000
         Iterations: 35
make[1]: *** [python-test2.7] Error 1
make[1]: Leaving directory `/build/buildd-statsmodels_0.4.1-1-kfreebsd-amd64-5jLFqZ/statsmodels-0.4.1'
make: *** [binary-arch] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary-arch gave error exit status 2

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=statsmodels&arch=kfreebsd-amd64&ver=0.4.1-1&stamp=1340125684

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Added blocking bug(s) of 678708: 648061 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sat, 23 Jun 2012 21:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#678708; Package src:statsmodels. (Mon, 25 Jun 2012 12:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Mon, 25 Jun 2012 12:54:18 GMT) Full text and rfc822 format available.

Message #12 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: debian-bsd@lists.debian.org, 678708@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#678708: statsmodels: FTBFS[kfreebsd]: NotImplementedError: cannot determine number of cpus
Date: Mon, 25 Jun 2012 08:50:35 -0400
Just for the reference, as I described in #648061 it is a regression in
python2.6->2.7, Debian specific.  Patch for Python is submitted but not
sure if it shouldn't be fixed in procps, waiting for the feedback

Cheers,

On Sat, 23 Jun 2012, Christoph Egger wrote:

> Package: src:statsmodels
> Version: 0.4.1-1
> Severity: serious
> Tags: sid wheezy
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-Cc: debian-bsd@lists.debian.org
> Justification: fails to build from source (but built successfully in the past)

> Hi!

> Your package failed to build on the kfreebsd-* buildds:

> ======================================================================
> ERROR: statsmodels.tools.tests.test_parallel.test_parallel
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
>     self.test(*self.arg)
>   File "/build/buildd-statsmodels_0.4.1-1-kfreebsd-amd64-5jLFqZ/statsmodels-0.4.1/debian/python-statsmodels/usr/lib/python2.7/dist-packages/statsmodels/tools/tests/test_parallel.py", line 7, in test_parallel
>     parallel, p_func, n_jobs = parallel_func(sqrt, n_jobs=-1, verbose=0)
>   File "/build/buildd-statsmodels_0.4.1-1-kfreebsd-amd64-5jLFqZ/statsmodels-0.4.1/debian/python-statsmodels/usr/lib/python2.7/dist-packages/statsmodels/tools/parallel.py", line 57, in parallel_func
>     n_jobs = multiprocessing.cpu_count()
>   File "/usr/lib/python2.7/multiprocessing/__init__.py", line 136, in cpu_count
>     raise NotImplementedError('cannot determine number of cpus')
> NotImplementedError: cannot determine number of cpus

> ----------------------------------------------------------------------
> Ran 1497 tests in 205.030s

> FAILED (SKIP=10, errors=1)
> Warning: Maximum number of iterations has been exceeded.
>          Current function value: 0.000000
>          Iterations: 35
> make[1]: *** [python-test2.7] Error 1
> make[1]: Leaving directory `/build/buildd-statsmodels_0.4.1-1-kfreebsd-amd64-5jLFqZ/statsmodels-0.4.1'
> make: *** [binary-arch] Error 2
> dpkg-buildpackage: error: fakeroot debian/rules binary-arch gave error exit status 2

> Full build log at
> https://buildd.debian.org/status/fetch.php?pkg=statsmodels&arch=kfreebsd-amd64&ver=0.4.1-1&stamp=1340125684

> Regards

>     Christoph

> If you have further questions please mail debian-bsd@lists.debian.org
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#678708; Package src:statsmodels. (Mon, 25 Jun 2012 12:54:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Mon, 25 Jun 2012 12:54:38 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 678708: 648061 Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 16:15:05 GMT) Full text and rfc822 format available.

Reply sent to Yaroslav Halchenko <debian@onerussian.com>:
You have taken responsibility. (Fri, 03 Aug 2012 13:18:08 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 03 Aug 2012 13:18:08 GMT) Full text and rfc822 format available.

Message #24 received at 678708-done@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 678708-done@bugs.debian.org
Subject: resolved by fixes in joblib
Date: Fri, 3 Aug 2012 09:15:33 -0400
It was resolved by fixes in joblib.  See #683738  for unblocking request

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Sep 2012 07:26:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:37:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.